import httpRequest from '@/utils/axios'

// 获取项目列表
export function getProjectList(params?: {
  name?: string
  type?: string
  status?: string
  audit_status?: string
  page?: number
  limit?: number
}) {
  return httpRequest.get('/api/hr/admin/v1/projects', { params })
}

// 获取项目详情
export function getProjectDetails(params: { id: string }) {
  return httpRequest.get(`/api/hr/admin/v1/project/${params.id}/detail`, { params })
}
// 企业审核
export function getProjectAdult(data: { id: string; status: number }) {
  return httpRequest.post(`/api/hr/admin/v1/project/${data.id}/audit`, data)
}
// 启用禁用
export function getProjectStatus(data: { id: string; status: number }) {
  return httpRequest.post(`/api/hr/admin/v1/project/${data.id}/enable`, data)
}
